<?xml version="1.0" encoding="utf-8"?>
<manifest
    package="com.ntels.kneet.v2"
    xmlns:android="http://schemas.android.com/apk/res/android">

    <!--<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>-->
    <!--<uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>-->
    <!--<uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS"/>-->
    <!--<uses-permission android:name="android.permission.READ_CONTACTS"/>-->
    <!--<uses-permission android:name="android.permission.WRITE_CONTACTS"/>-->
    <!--<uses-permission android:name="android.permission.RECEIVE_SMS"/>-->
    <!--<uses-permission android:name="android.permission.USE_CREDENTIALS"/>-->
    <!--<uses-permission android:name="com.android.browser.permission.READ_HISTORY_BOOKMARKS"/>-->
    <!--<uses-permission android:name="com.android.launcher.permission.INSTALL_SHORTCUT"/>-->

    <uses-permission android:name="android.permission.BLUETOOTH"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>
    <uses-permission android:name="android.permission.CHANGE_WIFI_MULTICAST_STATE"/>
    <uses-permission android:name="android.permission.CAMERA"/>
    <uses-permission android:name="android.permission.FLASHLIGHT"/>
    <uses-permission android:name="android.permission.GET_ACCOUNTS"/>
    <uses-permission android:name="android.permission.GET_TASKS"/>
    <uses-permission android:name="android.permission.INTERACT_ACROSS_USERS_FULL"/>
    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
    <uses-permission android:name="android.permission.VIBRATE"/>
    <uses-permission android:name="android.permission.WAKE_LOCK"/>
    <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE"/>
    <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES"/>

    <uses-feature
        android:name="android.hardware.camera"
        android:required="false"/>
    <uses-feature
        android:name="android.hardware.camera.front"
        android:required="false"/>
    <uses-feature
        android:name="android.hardware.camera.autofocus"
        android:required="false"/>
    <uses-feature
        android:name="android.hardware.camera.flash"
        android:required="false"/>
    <uses-feature
        android:name="android.hardware.screen.landscape"/>
    <uses-feature
        android:name="android.hardware.wifi"
        android:required="false"/>
    <uses-feature
        android:name="android.hardware.touchscreen"/>
    <uses-feature
        android:name="android.hardware.telephony"
        android:required="false"/>
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true"/>

    <application
        android:name="com.ntels.kneet.v2.common.AppConfig"
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:theme="@style/AppTheme">
        <activity
            android:name="com.ntels.kneet.v2.view.Intro"
            android:configChanges="fontScale"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/Translucent"
            android:windowSoftInputMode="stateAlwaysHidden|adjustPan">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>

                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
        <activity
            android:name="com.ntels.kneet.v2.view.AppStart"
            android:configChanges="fontScale"
            android:excludeFromRecents="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:taskAffinity=""
            android:theme="@style/Translucent">
            <intent-filter>
                <action android:name="android.intent.action.VIEW"/>

                <category android:name="android.intent.category.DEFAULT"/>
                <category android:name="android.intent.category.BROWSABLE"/>

                <data
                    android:host="start"
                    android:scheme="ntels_kneet_v2"/>
            </intent-filter>
        </activity>
        <activity
            android:name="com.ntels.kneet.v2.view.Login"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/Translucent"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.Login_New_Device"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.invitation.Invitation_List"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.Reset_Password"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.Join"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.Home_Start"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.Join_Chk"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.Main"
            android:configChanges="fontScale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Main_More"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/Translucent"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Setting"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Homehub"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.invitation.Invitation_Reply"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <activity
            android:name="com.ntels.kneet.v2.view.homemember.HomeMember_Add"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Message_Center"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Notice"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Device_Add"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Detail"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Edit"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Detail"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Homemode"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Homemode_Edit"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <meta-data
            android:name="com.google.android.maps.v2.API_KEY"
            android:value="@string/google_app_id"/>

        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version"/>

        <!-- GCM 서비스 & 브로드캐스트 -->
        <receiver
            android:name="com.ntels.kneet.v2.common.gcm.service.GcmBroadcastReceiver"
            android:exported="true"
            android:permission="com.google.android.c2dm.permission.SEND">
            <intent-filter>
                <action android:name="com.google.android.c2dm.intent.RECEIVE"/>
                <category android:name="com.ntels.Kneet.GCM"/>
            </intent-filter>
        </receiver>

        <!-- Loacal Process BoroadCast Receiver -->
        <!-- GCM 서비스 -->
        <service
            android:name="com.ntels.kneet.v2.common.gcm.service.PushService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.ntels.Kneet.ACTION_PUSH_SERVICE_POOLLING"/>
            </intent-filter>
        </service>
        <!-- GCM 서비스 -->
        <service android:name="com.ntels.kneet.v2.common.gcm.service.GcmIntentService"/>
        <!--Mdns 서비스 -->
        <receiver
            android:name="com.ntels.kneet.v2.common.mdns.MdnsRegBroadcastRecevier">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
                <action android:name="android.net.wifi.WIFI_STATE_CHANGED" />
                <action android:name="android.net.wifi.STATE_CHANGE"/>
            </intent-filter>
        </receiver>
        <receiver
            android:name="com.ntels.kneet.v2.common.mdns.RestartService"
            android:enabled="true"
            android:exported="false"
            android:label="RestartService"
            android:process=":remote">

            <intent-filter>
                <action android:name="ACTION.Restart.PersistentService"/>
            </intent-filter>
        </receiver>

        <service
            android:name="com.ntels.kneet.v2.common.mdns.MdnsRegService"
            android:exported="false"/>

        <!-- GCM Push서비스 -->
        <!-- Dialog_Spinner -->
        <activity
            android:name="com.ntels.kneet.v2.view.dialog.PushDialog"
            android:configChanges="fontScale"
            android:excludeFromRecents="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:taskAffinity=""
            android:theme="@style/Translucent"/>
        <activity
            android:name="com.ntels.kneet.v2.view.Image_Select"
            android:configChanges="orientation|fontScale|keyboardHidden|screenSize"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"/>
        <activity
            android:name="com.ntels.kneet.v2.view.dialog.Dialog_Spinner"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize">
        </activity>


        <activity
            android:name="com.google.zxing.client.android.Reader_Qr"
            android:clearTaskOnLaunch="true"
            android:screenOrientation="portrait"
            android:stateNotNeeded="true"
            android:windowSoftInputMode="stateAlwaysHidden"/>
        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Device_Add_01"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Device_Add_02"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Device_Add_03"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Device_Del_01"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Device_Del_02"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Device_Del_03"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Homehub_Input"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Homehub_Guide_Intro"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Homehub_Guide_01"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Homehub_Guide_02"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Homehub_Guide_03"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Homehub_Guide_04_01"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Homehub_Guide_04_02"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Setting_Name_Change"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Homehub_Password_Change"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Setting_Email_Change"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Setting_Password_Change"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Setting_Password_Chk"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.main_more.Setting_Admin_Password_Chk"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Triggers_Select"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Triggers_Time"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Triggers_Sun"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Triggers_Temp"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Temperature_Select"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Date_Select"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Multisensor_Select"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Things_Select"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.rules.Rules_Add_Sucess"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity
            android:name="com.ntels.kneet.v2.view.things.Things_Name_Change"
            android:configChanges="fontScale"
            android:screenOrientation="portrait"
            android:theme="@style/NTLES_Dialog1"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>

    </application>

</manifest>